Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network128.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
128.0.0.0
Broadcast address
128.127.255.255
First usable
128.0.0.1
Last usable
128.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
B (default /16)
As numbers
Hex 80000000 · Integer 2147483648 to 2155872255
Reverse DNS zones
0.128.in-addr.arpa
1.128.in-addr.arpa
2.128.in-addr.arpa
3.128.in-addr.arpa
4.128.in-addr.arpa
5.128.in-addr.arpa
6.128.in-addr.arpa
7.128.in-addr.arpa
8.128.in-addr.arpa
9.128.in-addr.arpa
10.128.in-addr.arpa
11.128.in-addr.arpa
12.128.in-addr.arpa
13.128.in-addr.arpa
14.128.in-addr.arpa
15.128.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000000.00000000.00000000.00000000128.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network10000000.00000000.00000000.00000000128.0.0.0
Broadcast10000000.01111111.11111111.11111111128.127.255.255
Split into smaller subnets/21

128.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1128.0.0.0/21128.0.0.1 to 128.0.7.254128.0.7.2552,046
2128.0.8.0/21128.0.8.1 to 128.0.15.254128.0.15.2552,046
3128.0.16.0/21128.0.16.1 to 128.0.23.254128.0.23.2552,046
4128.0.24.0/21128.0.24.1 to 128.0.31.254128.0.31.2552,046
5128.0.32.0/21128.0.32.1 to 128.0.39.254128.0.39.2552,046
6128.0.40.0/21128.0.40.1 to 128.0.47.254128.0.47.2552,046
7128.0.48.0/21128.0.48.1 to 128.0.55.254128.0.55.2552,046
8128.0.56.0/21128.0.56.1 to 128.0.63.254128.0.63.2552,046
9128.0.64.0/21128.0.64.1 to 128.0.71.254128.0.71.2552,046
10128.0.72.0/21128.0.72.1 to 128.0.79.254128.0.79.2552,046
11128.0.80.0/21128.0.80.1 to 128.0.87.254128.0.87.2552,046
12128.0.88.0/21128.0.88.1 to 128.0.95.254128.0.95.2552,046
13128.0.96.0/21128.0.96.1 to 128.0.103.254128.0.103.2552,046
14128.0.104.0/21128.0.104.1 to 128.0.111.254128.0.111.2552,046
15128.0.112.0/21128.0.112.1 to 128.0.119.254128.0.119.2552,046
16128.0.120.0/21128.0.120.1 to 128.0.127.254128.0.127.2552,046
17128.0.128.0/21128.0.128.1 to 128.0.135.254128.0.135.2552,046
18128.0.136.0/21128.0.136.1 to 128.0.143.254128.0.143.2552,046
19128.0.144.0/21128.0.144.1 to 128.0.151.254128.0.151.2552,046
20128.0.152.0/21128.0.152.1 to 128.0.159.254128.0.159.2552,046
21128.0.160.0/21128.0.160.1 to 128.0.167.254128.0.167.2552,046
22128.0.168.0/21128.0.168.1 to 128.0.175.254128.0.175.2552,046
23128.0.176.0/21128.0.176.1 to 128.0.183.254128.0.183.2552,046
24128.0.184.0/21128.0.184.1 to 128.0.191.254128.0.191.2552,046
25128.0.192.0/21128.0.192.1 to 128.0.199.254128.0.199.2552,046
26128.0.200.0/21128.0.200.1 to 128.0.207.254128.0.207.2552,046
27128.0.208.0/21128.0.208.1 to 128.0.215.254128.0.215.2552,046
28128.0.216.0/21128.0.216.1 to 128.0.223.254128.0.223.2552,046
29128.0.224.0/21128.0.224.1 to 128.0.231.254128.0.231.2552,046
30128.0.232.0/21128.0.232.1 to 128.0.239.254128.0.239.2552,046
31128.0.240.0/21128.0.240.1 to 128.0.247.254128.0.247.2552,046
32128.0.248.0/21128.0.248.1 to 128.0.255.254128.0.255.2552,046
33128.1.0.0/21128.1.0.1 to 128.1.7.254128.1.7.2552,046
34128.1.8.0/21128.1.8.1 to 128.1.15.254128.1.15.2552,046
35128.1.16.0/21128.1.16.1 to 128.1.23.254128.1.23.2552,046
36128.1.24.0/21128.1.24.1 to 128.1.31.254128.1.31.2552,046
37128.1.32.0/21128.1.32.1 to 128.1.39.254128.1.39.2552,046
38128.1.40.0/21128.1.40.1 to 128.1.47.254128.1.47.2552,046
39128.1.48.0/21128.1.48.1 to 128.1.55.254128.1.55.2552,046
40128.1.56.0/21128.1.56.1 to 128.1.63.254128.1.63.2552,046
41128.1.64.0/21128.1.64.1 to 128.1.71.254128.1.71.2552,046
42128.1.72.0/21128.1.72.1 to 128.1.79.254128.1.79.2552,046
43128.1.80.0/21128.1.80.1 to 128.1.87.254128.1.87.2552,046
44128.1.88.0/21128.1.88.1 to 128.1.95.254128.1.95.2552,046
45128.1.96.0/21128.1.96.1 to 128.1.103.254128.1.103.2552,046
46128.1.104.0/21128.1.104.1 to 128.1.111.254128.1.111.2552,046
47128.1.112.0/21128.1.112.1 to 128.1.119.254128.1.119.2552,046
48128.1.120.0/21128.1.120.1 to 128.1.127.254128.1.127.2552,046
49128.1.128.0/21128.1.128.1 to 128.1.135.254128.1.135.2552,046
50128.1.136.0/21128.1.136.1 to 128.1.143.254128.1.143.2552,046
51128.1.144.0/21128.1.144.1 to 128.1.151.254128.1.151.2552,046
52128.1.152.0/21128.1.152.1 to 128.1.159.254128.1.159.2552,046
53128.1.160.0/21128.1.160.1 to 128.1.167.254128.1.167.2552,046
54128.1.168.0/21128.1.168.1 to 128.1.175.254128.1.175.2552,046
55128.1.176.0/21128.1.176.1 to 128.1.183.254128.1.183.2552,046
56128.1.184.0/21128.1.184.1 to 128.1.191.254128.1.191.2552,046
57128.1.192.0/21128.1.192.1 to 128.1.199.254128.1.199.2552,046
58128.1.200.0/21128.1.200.1 to 128.1.207.254128.1.207.2552,046
59128.1.208.0/21128.1.208.1 to 128.1.215.254128.1.215.2552,046
60128.1.216.0/21128.1.216.1 to 128.1.223.254128.1.223.2552,046
61128.1.224.0/21128.1.224.1 to 128.1.231.254128.1.231.2552,046
62128.1.232.0/21128.1.232.1 to 128.1.239.254128.1.239.2552,046
63128.1.240.0/21128.1.240.1 to 128.1.247.254128.1.247.2552,046
64128.1.248.0/21128.1.248.1 to 128.1.255.254128.1.255.2552,046
65128.2.0.0/21128.2.0.1 to 128.2.7.254128.2.7.2552,046
66128.2.8.0/21128.2.8.1 to 128.2.15.254128.2.15.2552,046
67128.2.16.0/21128.2.16.1 to 128.2.23.254128.2.23.2552,046
68128.2.24.0/21128.2.24.1 to 128.2.31.254128.2.31.2552,046
69128.2.32.0/21128.2.32.1 to 128.2.39.254128.2.39.2552,046
70128.2.40.0/21128.2.40.1 to 128.2.47.254128.2.47.2552,046
71128.2.48.0/21128.2.48.1 to 128.2.55.254128.2.55.2552,046
72128.2.56.0/21128.2.56.1 to 128.2.63.254128.2.63.2552,046
73128.2.64.0/21128.2.64.1 to 128.2.71.254128.2.71.2552,046
74128.2.72.0/21128.2.72.1 to 128.2.79.254128.2.79.2552,046
75128.2.80.0/21128.2.80.1 to 128.2.87.254128.2.87.2552,046
76128.2.88.0/21128.2.88.1 to 128.2.95.254128.2.95.2552,046
77128.2.96.0/21128.2.96.1 to 128.2.103.254128.2.103.2552,046
78128.2.104.0/21128.2.104.1 to 128.2.111.254128.2.111.2552,046
79128.2.112.0/21128.2.112.1 to 128.2.119.254128.2.119.2552,046
80128.2.120.0/21128.2.120.1 to 128.2.127.254128.2.127.2552,046
81128.2.128.0/21128.2.128.1 to 128.2.135.254128.2.135.2552,046
82128.2.136.0/21128.2.136.1 to 128.2.143.254128.2.143.2552,046
83128.2.144.0/21128.2.144.1 to 128.2.151.254128.2.151.2552,046
84128.2.152.0/21128.2.152.1 to 128.2.159.254128.2.159.2552,046
85128.2.160.0/21128.2.160.1 to 128.2.167.254128.2.167.2552,046
86128.2.168.0/21128.2.168.1 to 128.2.175.254128.2.175.2552,046
87128.2.176.0/21128.2.176.1 to 128.2.183.254128.2.183.2552,046
88128.2.184.0/21128.2.184.1 to 128.2.191.254128.2.191.2552,046
89128.2.192.0/21128.2.192.1 to 128.2.199.254128.2.199.2552,046
90128.2.200.0/21128.2.200.1 to 128.2.207.254128.2.207.2552,046
91128.2.208.0/21128.2.208.1 to 128.2.215.254128.2.215.2552,046
92128.2.216.0/21128.2.216.1 to 128.2.223.254128.2.223.2552,046
93128.2.224.0/21128.2.224.1 to 128.2.231.254128.2.231.2552,046
94128.2.232.0/21128.2.232.1 to 128.2.239.254128.2.239.2552,046
95128.2.240.0/21128.2.240.1 to 128.2.247.254128.2.247.2552,046
96128.2.248.0/21128.2.248.1 to 128.2.255.254128.2.255.2552,046
97128.3.0.0/21128.3.0.1 to 128.3.7.254128.3.7.2552,046
98128.3.8.0/21128.3.8.1 to 128.3.15.254128.3.15.2552,046
99128.3.16.0/21128.3.16.1 to 128.3.23.254128.3.23.2552,046
100128.3.24.0/21128.3.24.1 to 128.3.31.254128.3.31.2552,046
101128.3.32.0/21128.3.32.1 to 128.3.39.254128.3.39.2552,046
102128.3.40.0/21128.3.40.1 to 128.3.47.254128.3.47.2552,046
103128.3.48.0/21128.3.48.1 to 128.3.55.254128.3.55.2552,046
104128.3.56.0/21128.3.56.1 to 128.3.63.254128.3.63.2552,046
105128.3.64.0/21128.3.64.1 to 128.3.71.254128.3.71.2552,046
106128.3.72.0/21128.3.72.1 to 128.3.79.254128.3.79.2552,046
107128.3.80.0/21128.3.80.1 to 128.3.87.254128.3.87.2552,046
108128.3.88.0/21128.3.88.1 to 128.3.95.254128.3.95.2552,046
109128.3.96.0/21128.3.96.1 to 128.3.103.254128.3.103.2552,046
110128.3.104.0/21128.3.104.1 to 128.3.111.254128.3.111.2552,046
111128.3.112.0/21128.3.112.1 to 128.3.119.254128.3.119.2552,046
112128.3.120.0/21128.3.120.1 to 128.3.127.254128.3.127.2552,046
113128.3.128.0/21128.3.128.1 to 128.3.135.254128.3.135.2552,046
114128.3.136.0/21128.3.136.1 to 128.3.143.254128.3.143.2552,046
115128.3.144.0/21128.3.144.1 to 128.3.151.254128.3.151.2552,046
116128.3.152.0/21128.3.152.1 to 128.3.159.254128.3.159.2552,046
117128.3.160.0/21128.3.160.1 to 128.3.167.254128.3.167.2552,046
118128.3.168.0/21128.3.168.1 to 128.3.175.254128.3.175.2552,046
119128.3.176.0/21128.3.176.1 to 128.3.183.254128.3.183.2552,046
120128.3.184.0/21128.3.184.1 to 128.3.191.254128.3.191.2552,046
121128.3.192.0/21128.3.192.1 to 128.3.199.254128.3.199.2552,046
122128.3.200.0/21128.3.200.1 to 128.3.207.254128.3.207.2552,046
123128.3.208.0/21128.3.208.1 to 128.3.215.254128.3.215.2552,046
124128.3.216.0/21128.3.216.1 to 128.3.223.254128.3.223.2552,046
125128.3.224.0/21128.3.224.1 to 128.3.231.254128.3.231.2552,046
126128.3.232.0/21128.3.232.1 to 128.3.239.254128.3.239.2552,046
127128.3.240.0/21128.3.240.1 to 128.3.247.254128.3.247.2552,046
128128.3.248.0/21128.3.248.1 to 128.3.255.254128.3.255.2552,046
129128.4.0.0/21128.4.0.1 to 128.4.7.254128.4.7.2552,046
130128.4.8.0/21128.4.8.1 to 128.4.15.254128.4.15.2552,046
131128.4.16.0/21128.4.16.1 to 128.4.23.254128.4.23.2552,046
132128.4.24.0/21128.4.24.1 to 128.4.31.254128.4.31.2552,046
133128.4.32.0/21128.4.32.1 to 128.4.39.254128.4.39.2552,046
134128.4.40.0/21128.4.40.1 to 128.4.47.254128.4.47.2552,046
135128.4.48.0/21128.4.48.1 to 128.4.55.254128.4.55.2552,046
136128.4.56.0/21128.4.56.1 to 128.4.63.254128.4.63.2552,046
137128.4.64.0/21128.4.64.1 to 128.4.71.254128.4.71.2552,046
138128.4.72.0/21128.4.72.1 to 128.4.79.254128.4.79.2552,046
139128.4.80.0/21128.4.80.1 to 128.4.87.254128.4.87.2552,046
140128.4.88.0/21128.4.88.1 to 128.4.95.254128.4.95.2552,046
141128.4.96.0/21128.4.96.1 to 128.4.103.254128.4.103.2552,046
142128.4.104.0/21128.4.104.1 to 128.4.111.254128.4.111.2552,046
143128.4.112.0/21128.4.112.1 to 128.4.119.254128.4.119.2552,046
144128.4.120.0/21128.4.120.1 to 128.4.127.254128.4.127.2552,046
145128.4.128.0/21128.4.128.1 to 128.4.135.254128.4.135.2552,046
146128.4.136.0/21128.4.136.1 to 128.4.143.254128.4.143.2552,046
147128.4.144.0/21128.4.144.1 to 128.4.151.254128.4.151.2552,046
148128.4.152.0/21128.4.152.1 to 128.4.159.254128.4.159.2552,046
149128.4.160.0/21128.4.160.1 to 128.4.167.254128.4.167.2552,046
150128.4.168.0/21128.4.168.1 to 128.4.175.254128.4.175.2552,046
151128.4.176.0/21128.4.176.1 to 128.4.183.254128.4.183.2552,046
152128.4.184.0/21128.4.184.1 to 128.4.191.254128.4.191.2552,046
153128.4.192.0/21128.4.192.1 to 128.4.199.254128.4.199.2552,046
154128.4.200.0/21128.4.200.1 to 128.4.207.254128.4.207.2552,046
155128.4.208.0/21128.4.208.1 to 128.4.215.254128.4.215.2552,046
156128.4.216.0/21128.4.216.1 to 128.4.223.254128.4.223.2552,046
157128.4.224.0/21128.4.224.1 to 128.4.231.254128.4.231.2552,046
158128.4.232.0/21128.4.232.1 to 128.4.239.254128.4.239.2552,046
159128.4.240.0/21128.4.240.1 to 128.4.247.254128.4.247.2552,046
160128.4.248.0/21128.4.248.1 to 128.4.255.254128.4.255.2552,046
161128.5.0.0/21128.5.0.1 to 128.5.7.254128.5.7.2552,046
162128.5.8.0/21128.5.8.1 to 128.5.15.254128.5.15.2552,046
163128.5.16.0/21128.5.16.1 to 128.5.23.254128.5.23.2552,046
164128.5.24.0/21128.5.24.1 to 128.5.31.254128.5.31.2552,046
165128.5.32.0/21128.5.32.1 to 128.5.39.254128.5.39.2552,046
166128.5.40.0/21128.5.40.1 to 128.5.47.254128.5.47.2552,046
167128.5.48.0/21128.5.48.1 to 128.5.55.254128.5.55.2552,046
168128.5.56.0/21128.5.56.1 to 128.5.63.254128.5.63.2552,046
169128.5.64.0/21128.5.64.1 to 128.5.71.254128.5.71.2552,046
170128.5.72.0/21128.5.72.1 to 128.5.79.254128.5.79.2552,046
171128.5.80.0/21128.5.80.1 to 128.5.87.254128.5.87.2552,046
172128.5.88.0/21128.5.88.1 to 128.5.95.254128.5.95.2552,046
173128.5.96.0/21128.5.96.1 to 128.5.103.254128.5.103.2552,046
174128.5.104.0/21128.5.104.1 to 128.5.111.254128.5.111.2552,046
175128.5.112.0/21128.5.112.1 to 128.5.119.254128.5.119.2552,046
176128.5.120.0/21128.5.120.1 to 128.5.127.254128.5.127.2552,046
177128.5.128.0/21128.5.128.1 to 128.5.135.254128.5.135.2552,046
178128.5.136.0/21128.5.136.1 to 128.5.143.254128.5.143.2552,046
179128.5.144.0/21128.5.144.1 to 128.5.151.254128.5.151.2552,046
180128.5.152.0/21128.5.152.1 to 128.5.159.254128.5.159.2552,046
181128.5.160.0/21128.5.160.1 to 128.5.167.254128.5.167.2552,046
182128.5.168.0/21128.5.168.1 to 128.5.175.254128.5.175.2552,046
183128.5.176.0/21128.5.176.1 to 128.5.183.254128.5.183.2552,046
184128.5.184.0/21128.5.184.1 to 128.5.191.254128.5.191.2552,046
185128.5.192.0/21128.5.192.1 to 128.5.199.254128.5.199.2552,046
186128.5.200.0/21128.5.200.1 to 128.5.207.254128.5.207.2552,046
187128.5.208.0/21128.5.208.1 to 128.5.215.254128.5.215.2552,046
188128.5.216.0/21128.5.216.1 to 128.5.223.254128.5.223.2552,046
189128.5.224.0/21128.5.224.1 to 128.5.231.254128.5.231.2552,046
190128.5.232.0/21128.5.232.1 to 128.5.239.254128.5.239.2552,046
191128.5.240.0/21128.5.240.1 to 128.5.247.254128.5.247.2552,046
192128.5.248.0/21128.5.248.1 to 128.5.255.254128.5.255.2552,046
193128.6.0.0/21128.6.0.1 to 128.6.7.254128.6.7.2552,046
194128.6.8.0/21128.6.8.1 to 128.6.15.254128.6.15.2552,046
195128.6.16.0/21128.6.16.1 to 128.6.23.254128.6.23.2552,046
196128.6.24.0/21128.6.24.1 to 128.6.31.254128.6.31.2552,046
197128.6.32.0/21128.6.32.1 to 128.6.39.254128.6.39.2552,046
198128.6.40.0/21128.6.40.1 to 128.6.47.254128.6.47.2552,046
199128.6.48.0/21128.6.48.1 to 128.6.55.254128.6.55.2552,046
200128.6.56.0/21128.6.56.1 to 128.6.63.254128.6.63.2552,046
201128.6.64.0/21128.6.64.1 to 128.6.71.254128.6.71.2552,046
202128.6.72.0/21128.6.72.1 to 128.6.79.254128.6.79.2552,046
203128.6.80.0/21128.6.80.1 to 128.6.87.254128.6.87.2552,046
204128.6.88.0/21128.6.88.1 to 128.6.95.254128.6.95.2552,046
205128.6.96.0/21128.6.96.1 to 128.6.103.254128.6.103.2552,046
206128.6.104.0/21128.6.104.1 to 128.6.111.254128.6.111.2552,046
207128.6.112.0/21128.6.112.1 to 128.6.119.254128.6.119.2552,046
208128.6.120.0/21128.6.120.1 to 128.6.127.254128.6.127.2552,046
209128.6.128.0/21128.6.128.1 to 128.6.135.254128.6.135.2552,046
210128.6.136.0/21128.6.136.1 to 128.6.143.254128.6.143.2552,046
211128.6.144.0/21128.6.144.1 to 128.6.151.254128.6.151.2552,046
212128.6.152.0/21128.6.152.1 to 128.6.159.254128.6.159.2552,046
213128.6.160.0/21128.6.160.1 to 128.6.167.254128.6.167.2552,046
214128.6.168.0/21128.6.168.1 to 128.6.175.254128.6.175.2552,046
215128.6.176.0/21128.6.176.1 to 128.6.183.254128.6.183.2552,046
216128.6.184.0/21128.6.184.1 to 128.6.191.254128.6.191.2552,046
217128.6.192.0/21128.6.192.1 to 128.6.199.254128.6.199.2552,046
218128.6.200.0/21128.6.200.1 to 128.6.207.254128.6.207.2552,046
219128.6.208.0/21128.6.208.1 to 128.6.215.254128.6.215.2552,046
220128.6.216.0/21128.6.216.1 to 128.6.223.254128.6.223.2552,046
221128.6.224.0/21128.6.224.1 to 128.6.231.254128.6.231.2552,046
222128.6.232.0/21128.6.232.1 to 128.6.239.254128.6.239.2552,046
223128.6.240.0/21128.6.240.1 to 128.6.247.254128.6.247.2552,046
224128.6.248.0/21128.6.248.1 to 128.6.255.254128.6.255.2552,046
225128.7.0.0/21128.7.0.1 to 128.7.7.254128.7.7.2552,046
226128.7.8.0/21128.7.8.1 to 128.7.15.254128.7.15.2552,046
227128.7.16.0/21128.7.16.1 to 128.7.23.254128.7.23.2552,046
228128.7.24.0/21128.7.24.1 to 128.7.31.254128.7.31.2552,046
229128.7.32.0/21128.7.32.1 to 128.7.39.254128.7.39.2552,046
230128.7.40.0/21128.7.40.1 to 128.7.47.254128.7.47.2552,046
231128.7.48.0/21128.7.48.1 to 128.7.55.254128.7.55.2552,046
232128.7.56.0/21128.7.56.1 to 128.7.63.254128.7.63.2552,046
233128.7.64.0/21128.7.64.1 to 128.7.71.254128.7.71.2552,046
234128.7.72.0/21128.7.72.1 to 128.7.79.254128.7.79.2552,046
235128.7.80.0/21128.7.80.1 to 128.7.87.254128.7.87.2552,046
236128.7.88.0/21128.7.88.1 to 128.7.95.254128.7.95.2552,046
237128.7.96.0/21128.7.96.1 to 128.7.103.254128.7.103.2552,046
238128.7.104.0/21128.7.104.1 to 128.7.111.254128.7.111.2552,046
239128.7.112.0/21128.7.112.1 to 128.7.119.254128.7.119.2552,046
240128.7.120.0/21128.7.120.1 to 128.7.127.254128.7.127.2552,046
241128.7.128.0/21128.7.128.1 to 128.7.135.254128.7.135.2552,046
242128.7.136.0/21128.7.136.1 to 128.7.143.254128.7.143.2552,046
243128.7.144.0/21128.7.144.1 to 128.7.151.254128.7.151.2552,046
244128.7.152.0/21128.7.152.1 to 128.7.159.254128.7.159.2552,046
245128.7.160.0/21128.7.160.1 to 128.7.167.254128.7.167.2552,046
246128.7.168.0/21128.7.168.1 to 128.7.175.254128.7.175.2552,046
247128.7.176.0/21128.7.176.1 to 128.7.183.254128.7.183.2552,046
248128.7.184.0/21128.7.184.1 to 128.7.191.254128.7.191.2552,046
249128.7.192.0/21128.7.192.1 to 128.7.199.254128.7.199.2552,046
250128.7.200.0/21128.7.200.1 to 128.7.207.254128.7.207.2552,046
251128.7.208.0/21128.7.208.1 to 128.7.215.254128.7.215.2552,046
252128.7.216.0/21128.7.216.1 to 128.7.223.254128.7.223.2552,046
253128.7.224.0/21128.7.224.1 to 128.7.231.254128.7.231.2552,046
254128.7.232.0/21128.7.232.1 to 128.7.239.254128.7.239.2552,046
255128.7.240.0/21128.7.240.1 to 128.7.247.254128.7.247.2552,046
256128.7.248.0/21128.7.248.1 to 128.7.255.254128.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses